QGIS Application - Bug report #13593
disappeared polygons while editing
2015-10-13 12:26 PM - ungvari zsuzsanna

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.10.1 Regression?: No
Operating System: windows Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 21635
Description

Some polygon features after saving shapefile were disappeared. If | open this shapefile in another program, | can see them, so the
shapefile contains them, but they were disappeared from the canvas. Closing and reopening the file did not solve the problem.
Sometimes, | can see them at smaller scale, but not in every case.

Our QGIS version is 2.10.1.

This bug appeared in earlier versions (2.4,2.6), but it has not been fixed yet.

| used win 8.1 now, but i also have this bug in 2.6 on win 7.

History

#1 - 2015-10-14 03:50 AM - ungvari zsuzsanna

| reduced automatically the number of nodes in Advanced Digitising. After saving the shapefile, the new polygon cannot see anymore in QGIS. But in
another program (e.g. Global Mapper or ArcGIS) nothing seems wrong.

#2 - 2015-11-07 11:26 AM - Giovanni Manghi
- Target version deleted (Version 2.10)

#3 - 2017-05-01 01:06 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No
#4 - 2019-03-09 03:07 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugdfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Most plugins have been either migrated or incorporated into the core QGIS code base.
We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
